## spacezero 0.80.03

=== Makefile ===
CC = gcc 
BINDIR= ./bin/
DATADIR= ./dat/
SOUNDDIR= $(DATADIR)sounds/
SRCPATH= ./src/
CONFIGDIR=$(HOME)/.spacezero/
RECORDFILE=$(CONFIGDIR)record

INSTALL_DIR=/usr/local/bin/
INSTALL_DATA_DIR=/usr/local/share/spacezero/

OPENALFLAGS= -lopenal -lalut
GTKFLAGS=`pkg-config --cflags gtk+-2.0`
GTKLIBS=`pkg-config --libs gtk+-2.0`
GTKLIBS12=`gtk-config --cflags`

LDFLAGS=  -lm -lpthread $(OPENALFLAGS) $(GTKLIBS)
LDFLAGS12=  -lm -lpthread $(OPENALFLAGS) $(GTKLIBS12)
CFLAGS=  -Wall -O3 -mtune=generic -I./include
CFLAGS12=  -Wall -O3 -mtune=generic -I./include -DGTK12
PROGRAMA=$(BINDIR)spacezero


SOUND_OBJS= $(SRCPATH)sound.o
SOUND_SRCS= $(SRCPATH)sound.c


PROGRAMA_OBJS=$(SRCPATH)spacezero.o $(SRCPATH)objects.o $(SRCPATH)ai.o $(SRCPATH)save.o $(SRCPATH)shell.o $(SRCPATH)spacecomm.o $(SRCPATH)help.o $(SRCPATH)comm.o $(SRCPATH)graphics.o  $(SRCPATH)functions.o $(SRCPATH)data.o $(SOUND_OBJS)
PROGRAMA_SRCS=$(SRCPATH)spacezero.c $(SRCPATH)objects.c $(SRCPATH)ai.c $(SRCPATH)save.c $(SRCPATH)shell.c $(SRCPATH)spacecomm.c $(SRCPATH)help.c $(SRCPATH)comm.c $(SRCPATH)graphics.c  $(SRCPATH)functions.c $(SRCPATH)data.c $(SOUND_SRCS)



all: dirs spacezero


spacezero: $(PROGRAMA_OBJS) 
	$(CC) $(GTKFLAGS) $(PROGRAMA_OBJS)  $(LDFLAGS) $(CFLAGS) -g -o $(PROGRAMA) 

gtk12: $(PROGRAMA_SRCS) 
	$(CC) `gtk-config --cflags` $(PROGRAMA_SRCS)  $(LDFLAGS12) $(CFLAGS12) -g -o $(PROGRAMA) `gtk-config --libs`

install:
	-if [ ! -d $(INSTALL_DIR) ] ; then mkdir -p $(INSTALL_DIR) ; fi
	-if [ ! -d $(INSTALL_DATA_DIR) ] ; then mkdir -p $(INSTALL_DATA_DIR); fi
	-if [ ! -d $(INSTALL_DATA_DIR)sounds/ ] ; then mkdir -p $(INSTALL_DATA_DIR)sounds/; fi
	cp $(SOUNDDIR)* $(INSTALL_DATA_DIR)sounds/
	cp $(PROGRAMA) $(INSTALL_DIR)

dirs:
	-if [ ! -d $(BINDIR) ] ; then mkdir $(BINDIR) ; fi
	-if [ ! -d $(CONFIGDIR) ] ; then mkdir $(CONFIGDIR) ; fi

clean: 
	rm -f src/*.o bin/spacezero

mrproper: clean
	rm -f src/*~ include/*~

.c.o:	
	$(CC) -g  $(CFLAGS)  $(GTKFLAGS) -c $< -o  $@

=== debian/changelog ===
spacezero (0.80.03-1ubuntu1) precise; urgency=low

  [ Nobuhiro Iwamatsu ]
  * debian/patches/drop_mtune_generic.patch:
    - Drop -mtune=generic which doesn't work on non-i386/amd64 archs.
      Debian bug #641784

 -- Michael Terry <mterry@ubuntu.com>  Tue, 15 Nov 2011 10:51:19 -0500

spacezero (0.80.03-1) unstable; urgency=low

  [ Romanella Di Ferdinando ]
  * Initial release (Closes: #613784)
  * Add icon to the menu file 
  * Add spacezero.desktop file

  [ Lucia Prado ]
  * Add manual.html

  [ Margarita Manterola ]
  * Fixed sound dir by patching Makefile and src/sound.c through 
    debian/patches/fix_datadir.

  [ Lucia Prado ]
  * Add manual.html

  [ Julia Palandri ]
  * Modified manpage to include -s and -c options
  * Deleted sourceforge links from the html manual and manpage
  * Modified external links to be internal in the html manual
  * Removed external links from the html manual, plus minor fixes
  * Modified debian/rules to include dirs target

 -- Julia Palandri <julia.palandri@gmail.com>  Sat, 06 Aug 2011 16:04:49 -0300

## spacezero 0.80.06

=== Makefile ===
CC = gcc 
BINDIR= ./bin
DATADIR= ./dat
SOUNDDIR= $(DATADIR)/sounds
SRCPATH= ./src
CONFIGDIR=$(HOME)/.spacezero
RECORDFILE=$(CONFIGDIR)record

#
# The binary executable will be copied in the next directory.
#
INSTALL_DIR=/usr/local/bin

#
# All data files will be copied in the next directory.
# tar.gz 

INSTALL_DATA_DIR=/usr/local/share/spacezero

# DEB pkg 
#INSTALL_DATA_DIR=/usr/share/spacezero




OPENALFLAGS= -lopenal -lalut
#GTKFLAGS=`pkg-config --cflags gtk+-2.0`
GTKFLAGS= -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo
#GTKLIBS=`pkg-config --libs gtk+-2.0`
GTKLIBS=  -lgtk-x11-2.0 -lgdk-x11-2.0  -lglib-2.0
GTKLIBS12=`gtk-config --cflags`

LDFLAGS=  -lm -lpthread $(OPENALFLAGS) $(GTKLIBS)
LDFLAGS12=  -lm -lpthread $(OPENALFLAGS) $(GTKLIBS12)
CFLAGS=  -Wall -O3 -I./include -DDATADIR=\"$(DATADIR)\" -DINSTALL_DATA_DIR=\"$(INSTALL_DATA_DIR)\"
CFLAGS12=  -Wall -O3 -I./include -DGTK12 -DDATADIR=\"$(DATADIR)\" -DINSTALL_DATA_DIR=\"$(INSTALL_DATA_DIR)\"
PROGRAM=$(BINDIR)/spacezero


SOUND_OBJS= $(SRCPATH)/sound.o
SOUND_SRCS= $(SRCPATH)/sound.c


PROGRAM_OBJS=$(SRCPATH)/spacezero.o $(SRCPATH)/objects.o $(SRCPATH)/ai.o $(SRCPATH)/save.o $(SRCPATH)/shell.o $(SRCPATH)/spacecomm.o $(SRCPATH)/help.o $(SRCPATH)/comm.o $(SRCPATH)/graphics.o  $(SRCPATH)/functions.o $(SRCPATH)/data.o $(SOUND_OBJS)
PROGRAM_SRCS=$(SRCPATH)/spacezero.c $(SRCPATH)/objects.c $(SRCPATH)/ai.c $(SRCPATH)/save.c $(SRCPATH)/shell.c $(SRCPATH)/spacecomm.c $(SRCPATH)/help.c $(SRCPATH)/comm.c $(SRCPATH)/graphics.c  $(SRCPATH)/functions.c $(SRCPATH)/data.c $(SOUND_SRCS)



all: dirs spacezero


spacezero: $(PROGRAM_OBJS) 
	$(CC) $(GTKFLAGS) $(PROGRAM_OBJS)  $(LDFLAGS) $(CFLAGS) -g -o $(PROGRAM)

gtk12: $(PROGRAM_SRCS) 
	$(CC) `gtk-config --cflags` $(PROGRAM_SRCS)  $(LDFLAGS12) $(CFLAGS12) -g -o $(PROGRAM) `gtk-config --libs`

install:
	-if [ ! -d $(INSTALL_DIR) ] ; then mkdir -p $(INSTALL_DIR) ; fi
	-if [ ! -d $(INSTALL_DATA_DIR) ] ; then mkdir -p $(INSTALL_DATA_DIR); fi
	-if [ ! -d $(INSTALL_DATA_DIR)/sounds ] ; then mkdir -p $(INSTALL_DATA_DIR)/sounds; fi
	cp $(SOUNDDIR)/* $(INSTALL_DATA_DIR)/sounds
	cp $(PROGRAM) $(INSTALL_DIR)

dirs:
	-if [ ! -d $(BINDIR) ] ; then mkdir $(BINDIR) ; fi
	-if [ ! -d $(CONFIGDIR) ] ; then mkdir $(CONFIGDIR) ; fi

clean: 
	rm -f src/*.o bin/spacezero

mrproper: clean
	rm -f src/*~ include/*~

.c.o:	
	$(CC) -g  $(CFLAGS)  $(GTKFLAGS) -c $< -o  $@

=== debian/changelog ===
spacezero (0.80.06-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:44:34 +0000

spacezero (0.80.06-1) unstable; urgency=low

  * New upstream release. 
    + Upstream changed compilation flags. 
    (Closes: #641780) Thanks Nobuhiro for reporting. 

 -- Lucia Prado <luciabche@gmail.com>  Sat, 01 Oct 2011 19:50:01 +0000

=== debian/control ===
Source: spacezero
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romanella Di Ferdinando <romanelladf@gmail.com>
Uploaders: Lucia Prado <luciabche@gmail.com>, 
 Julia Palandri <julia.palandri@gmail.com>, 
 Margarita Manterola <marga@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libglib2.0-dev,
 libopenal-dev, libalut-dev, docbook-xsl, docbook-xml, xsltproc
Standards-Version: 3.9.2
Homepage: http://spacezero.sourceforge.net

Package: spacezero
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Real Time Strategy 2D space combat, multiplayer net game.
 SpaceZero is a Real Time Strategy 2D space combat, multiplayer (two players by
 now) net game.
 .
 The objective is to conquer the space, defeating all enemies.
 .
 At starting point you have only one ship and one planet, but you have gold to 
 buy more ships to conquer more planets.
 .
 All the ships can be controlled by the computer (automatic mode) or by the 
 player (manual mode). 
 You can easily change among your ships controlling all of them independently.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) INSTALL_DIR=$$(pwd)/debian/spacezero/usr/games prefix=/usr install INSTALL_DATA_DIR=$$(pwd)/debian/spacezero/usr/share/spacezero/

override_dh_auto_build:
	xsltproc --nonet \
	 --param make.year.ranges 1 \
	 --param make.single.year.ranges 1 \
	 --param man.charmap.use.subset 0 \
	 -o debian/ \
 http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
	debian/spacezero.6.xml
	$(MAKE) all DATADIR=/usr/share/spacezero/
#	dh_auto_build

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/spacezero/usr/share/spacezero/sounds/*.wav

=== debian/watch ===
version=3
http://sf.net/spacezero/spacezero-(.*)\.tar\.gz
